<?php $__env->startSection('content'); ?>
    <div class="page-body">
        <div class="container-xl">
            <div class="card">
                <div class="card-header">
                    <div>
                        <h3 class="card-title">
                            <?php echo e(__('Order Details')); ?>

                        </h3>
                    </div>

                    <div class="card-actions btn-actions">
                        <?php if($order->order_status === \App\Enums\OrderStatus::PENDING): ?>
                            <div class="dropdown">
                                <a href="#" class="btn-action dropdown-toggle" data-bs-toggle="dropdown"
                                    aria-haspopup="true"
                                    aria-expanded="false"><!-- Download SVG icon from http://tabler-icons.io/i/dots-vertical -->
                                    <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24"
                                        viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none"
                                        stroke-linecap="round" stroke-linejoin="round">
                                        <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
                                        <path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0"></path>
                                        <path d="M12 19m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0"></path>
                                        <path d="M12 5m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0"></path>
                                    </svg>
                                </a>

                                <div class="dropdown-menu dropdown-menu-end" style="">
                                    <form action="<?php echo e(route('orders.update', $order->uuid)); ?>" method="POST">
                                        <?php echo csrf_field(); ?>
                                        <?php echo method_field('put'); ?>

                                        <button type="submit" class="dropdown-item text-success"
                                            onclick="return confirm('Are you sure you want to approve this order?')">
                                            <svg xmlns="http://www.w3.org/2000/svg"
                                                class="icon icon-tabler icon-tabler-check" width="24" height="24"
                                                viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none"
                                                stroke-linecap="round" stroke-linejoin="round">
                                                <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                                                <path d="M5 12l5 5l10 -10" />
                                            </svg>

                                            <?php echo e(__('Approve Order')); ?>

                                        </button>
                                    </form>
                                </div>
                            </div>
                        <?php endif; ?>
                        
                        <?php if (isset($component)) { $__componentOriginal92bd8517d4e8545d22abaf31073757dd = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.action.close','data' => ['route' => ''.e(route('orders.index')).'']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('action.close'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['route' => ''.e(route('orders.index')).'']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal92bd8517d4e8545d22abaf31073757dd)): ?>
<?php $component = $__componentOriginal92bd8517d4e8545d22abaf31073757dd; ?>
<?php unset($__componentOriginal92bd8517d4e8545d22abaf31073757dd); ?>
<?php endif; ?>
                    </div>
                </div>

                <div class="card-body">
                    <div class="row row-cards mb-3">
                        <div class="col">
                            <label for="order_date" class="form-label required">
                                <?php echo e(__('Order Date')); ?>

                            </label>
                            <input type="text" id="order_date" class="form-control"
                                value="<?php echo e($order->order_date->format('d-m-Y')); ?>" disabled>
                        </div>

                        <div class="col">
                            <label for="invoice_no" class="form-label required">
                                <?php echo e(__('Invoice No.')); ?>

                            </label>
                            <input type="text" id="invoice_no" class="form-control" value="<?php echo e($order->invoice_no); ?>"
                                disabled>
                        </div>

                        <div class="col">
                            <label for="customer" class="form-label required">
                                <?php echo e(__('Customer')); ?>

                            </label>
                            <input type="text" id="customer" class="form-control" value="<?php echo e($order->customer->name); ?>"
                                disabled>
                        </div>

                        <div class="col">
                            <label for="payment_type" class="form-label required">
                                <?php echo e(__('Payment Type')); ?>

                            </label>

                            <input type="text" id="payment_type" class="form-control" value="<?php echo e($order->payment_type); ?>"
                                disabled>
                        </div>
                    </div>

                    <div class="table-responsive">
                        <table class="table table-striped table-bordered align-middle">
                            <thead class="thead-light">
                                <tr>
                                    <th scope="col" class="align-middle text-center">No.</th>
                                    <th scope="col" class="align-middle text-center">Photo</th>
                                    <th scope="col" class="align-middle text-center">Product Name</th>
                                    <th scope="col" class="align-middle text-center">Product Code</th>
                                    <th scope="col" class="align-middle text-center">Quantity</th>
                                    <th scope="col" class="align-middle text-center">Price</th>
                                    <th scope="col" class="align-middle text-center">Sub Total</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $order->details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td class="align-middle text-center">
                                            <?php echo e($loop->iteration); ?>

                                        </td>
                                        <td class="align-middle text-center">
                                            <div style="max-height: 80px; max-width: 80px;">
                                                <img class="img-fluid"
                                                    src="<?php echo e($item->product->product_image ? asset('storage/' . $item->product->product_image) : asset('assets/img/products/default.webp')); ?>">
                                            </div>
                                        </td>
                                        <td class="align-middle text-center">
                                            <?php echo e($item->product->name); ?>

                                        </td>
                                        <td class="align-middle text-center">
                                            <?php echo e($item->product->code); ?>

                                        </td>
                                        <td class="align-middle text-center">
                                            <?php echo e($item->quantity); ?>

                                        </td>
                                        <td class="align-middle text-center">
                                            <?php echo e(number_format($item->unitcost, 2)); ?>

                                        </td>
                                        <td class="align-middle text-center">
                                            <?php echo e(number_format($item->total, 2)); ?>

                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td colspan="6" class="text-end">
                                        Payed amount
                                    </td>
                                    <td class="text-center"><?php echo e(number_format($order->pay, 2)); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="6" class="text-end">Due</td>
                                    <td class="text-center"><?php echo e(number_format($order->due, 2)); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="6" class="text-end">VAT</td>
                                    <td class="text-center"><?php echo e(number_format($order->vat, 2)); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="6" class="text-end">Total</td>
                                    <td class="text-center"><?php echo e(number_format($order->total, 2)); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="6" class="text-end">Status</td>
                                    <td class="text-center">
                                        <?php if (isset($component)) { $__componentOriginal51ed764111e345fc11534f121cfeb451 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.status.index','data' => ['dot' => true,'color' => ''.e($order->order_status === \App\Enums\OrderStatus::COMPLETE ? 'green' : ($order->order_status === \App\Enums\OrderStatus::PENDING ? 'orange' : '')).'','class' => 'text-uppercase']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('status'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['dot' => true,'color' => ''.e($order->order_status === \App\Enums\OrderStatus::COMPLETE ? 'green' : ($order->order_status === \App\Enums\OrderStatus::PENDING ? 'orange' : '')).'','class' => 'text-uppercase']); ?>
                                            <?php echo e($order->order_status->label()); ?>

                                         <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal51ed764111e345fc11534f121cfeb451)): ?>
<?php $component = $__componentOriginal51ed764111e345fc11534f121cfeb451; ?>
<?php unset($__componentOriginal51ed764111e345fc11534f121cfeb451); ?>
<?php endif; ?>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>

                <div class="card-footer text-end">
                    <?php if($order->order_status === \App\Enums\OrderStatus::PENDING): ?>
                        <form action="<?php echo e(route('orders.update', $order->uuid)); ?>" method="POST">
                            <?php echo method_field('put'); ?>
                            <?php echo csrf_field(); ?>

                            <button type="submit" class="btn btn-success"
                                onclick="return confirm('Are you sure you want to complete this order?')">
                                <?php echo e(__('Complete Order')); ?>

                            </button>
                        </form>
                    <?php endif; ?>
                </div>
            </div>

        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.tabler', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\TEST\Documents\Perso\inventory-management-system\resources\views/orders/show.blade.php ENDPATH**/ ?>